com.sun.java.xml.ns.javaee

## Class OrderingOrderingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.OrderingOrderingType

-     public class OrderingOrderingType
      extends Object

  This element contains a sequence of "name" elements, each of which refers to an application configuration resource by the "name" declared on its web.xml fragment. This element can also contain a single "others" element which specifies that this document comes before or after other documents within the application. See section 8.2.2 of the specification for details.

  Java-Klasse für ordering-orderingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="ordering-orderingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="name" type="{http://java.sun.com/xml/ns/javaee}java-identifierType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="others" type="{http://java.sun.com/xml/ns/javaee}ordering-othersType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<JavaIdentifierType>` | `name`
    `protected OrderingOthersType` | `others`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingOrderingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JavaIdentifierType>` | `getName()` Gets the value of the name property.
    `OrderingOthersType` | `getOthers()` Ruft den Wert der others-Eigenschaft ab.
    `void` | `setOthers(OrderingOthersType value)` Legt den Wert der others-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected List<JavaIdentifierType> name

    - #### others

          protected OrderingOthersType others

  - ### Constructor Detail

    - #### OrderingOrderingType

          public OrderingOrderingType()

  - ### Method Detail

    - #### getName

          public List<JavaIdentifierType> getName()

      Gets the value of the name property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the name property.

      For example, to add a new item, do as follows:

              getName().add(newItem);

      Objects of the following type(s) are allowed in the list `JavaIdentifierType`

    - #### getOthers

          public OrderingOthersType getOthers()

      Ruft den Wert der others-Eigenschaft ab.
      Returns:
        possible object is `OrderingOthersType`

    - #### setOthers

          public void setOthers(OrderingOthersType value)

      Legt den Wert der others-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `OrderingOthersType`

Copyright © 2015 buschmais GbR. All rights reserved.